from application.spiders.benshanzhufu_recommend import BenshanzhufuRecommend


SPIDER_CLASS_MAP = {
    "bszf_recommend_prod": BenshanzhufuRecommend
}








def get_spider_class(topic: str):
    """
    根据 topic 获取对应爬虫类
    :param topic: MQ 消息的 topic 名称
    :return: 爬虫类（继承自 BaseSpider）
    """
    return SPIDER_CLASS_MAP.get(topic, "未找到对应配置")